﻿
namespace SilverlightGrid.Web
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;
    using System.Linq;
    using System.Web.Ria;
    using System.Web.Ria.Data;
    using System.Web.DomainServices;
    using System.Data;
    using System.Web.DomainServices.LinqToEntities;


    // Implements application logic using the Database1Entities context.
    // TODO: Add your application logic to these methods or in additional methods.
    [EnableClientAccess()]
    public class DomainService1 : LinqToEntitiesDomainService<Database1Entities>
    {

        // TODO: Consider
        // 1. Adding parameters to this method and constraining returned results, and/or
        // 2. Adding query methods taking different parameters.
        public IQueryable<Table1> GetTable1()
        {
            return this.Context.Table1;
        }

        public void InsertTable1(Table1 table1)
        {
            this.Context.AddToTable1(table1);
        }

        public void UpdateTable1(Table1 currentTable1, Table1 originalTable1)
        {
            this.Context.AttachAsModified(currentTable1, originalTable1);
        }

        public void DeleteTable1(Table1 table1)
        {
            if ((table1.EntityState == EntityState.Detached))
            {
                this.Context.Attach(table1);
            }
            this.Context.DeleteObject(table1);
        }
    }
}


